Subject: Re: libapr1 in cygwin
From: David Rothenberger <[email-masked]>
To: [email-masked]
Cc: Daniel Stonier <[email-masked]>
Date: Sun, 18 Jan 2009 11:12:00 -0800
List-Id: <cygwin.cygwin.com>

On 1/18/2009 10:44 AM, David Rothenberger wrote:
> On 1/18/2009 8:29 AM, Daniel Stonier wrote:
>> I've been running into a few hitches with libapr1 and libapr1-util on
>> cygwin. Namely another package I need requires liblog4cxx to have
>> these libraries available statically and I noticed the cygwin build of
>> libapr1/libapr1-util disables these. Is there any reason why they're
>> avoided?
> 
> I recall that the build failed when static libraries were enabled. I 
> don't recall how. I'll try it again and see if I can debug it. 

I think I've found the problem. I'll issue a new release of the libapr1 
packages that include the static libraries in the -devel package.

AFAICT, the libaprutil1 packages already include the static libraries.

-- 
David Rothenberger  ----  [email-masked]

user, n.:
         The word computer professionals use when they mean "idiot."
                 -- Dave Barry, "Claw Your Way to the Top"

[I always thought "computer professional" was the phrase hackers used
  when they meant "idiot."  Ed.]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/